﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <Description>Microservicio Web Api Asp .Net Core</Description>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Controllers\CreditoBaseController.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="11.0.0" />
    <PackageReference Include="MethodBoundaryAspect.Fody" Version="2.0.139" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning" Version="5.0.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.13" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="3.1.24">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.IdentityModel.Clients.ActiveDirectory" Version="5.2.9" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.10.14" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.1.5" />
    <PackageReference Include="OpenTelemetry" Version="1.1.0-beta2" />
    <PackageReference Include="OpenTelemetry.Api" Version="1.1.0-beta2" />
    <PackageReference Include="OpenTelemetry.Exporter.Console" Version="1.1.0-beta2" />
    <PackageReference Include="OpenTelemetry.Exporter.OpenTelemetryProtocol" Version="1.1.0-beta2" />
    <PackageReference Include="OpenTelemetry.Exporter.Zipkin" Version="1.1.0-beta2" />
    <PackageReference Include="OpenTelemetry.Extensions.Hosting" Version="1.0.0-rc4" />
    <PackageReference Include="OpenTelemetry.Instrumentation.AspNetCore" Version="1.0.0-rc4" />
    <PackageReference Include="OpenTelemetry.Instrumentation.Http" Version="1.0.0-rc4" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.1.4" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\nombremicroservicio.Domain\nombremicroservicio.Domain.csproj" />
    <ProjectReference Include="..\nombremicroservicio.Entities\nombremicroservicio.Entities.csproj" />
    <ProjectReference Include="..\nombremicroservicio.Infrastructure\nombremicroservicio.Infrastructure.csproj" />
    <ProjectReference Include="..\nombremicroservicio.Repository\nombremicroservicio.Repository.csproj" />
  </ItemGroup>

  <PropertyGroup>
    <SonarQubeExclude>true</SonarQubeExclude>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DebugType>none</DebugType>
    <DebugSymbols>false</DebugSymbols>
  </PropertyGroup>

  <ProjectExtensions><VisualStudio><UserProperties appsettings_1json__JsonSchema="" /></VisualStudio></ProjectExtensions>
  <PropertyGroup>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
    <NoWarn>$(NoWarn);1591</NoWarn>
  </PropertyGroup>

</Project>
